{output_format}: Get properties by compound name

API: nih.gov:pubchem-property-api
Endpoint: /name/{compound_name}/property/{properties}/{output_format}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 450ms

Description

Retrieve chemical properties for a compound by its common name, IUPAC name, or synonym.

Parameters (3)

compound_name (string, path, required)

Common name, IUPAC name, or synonym of the compound (e.g., 'water', 'caffeine', 'aspirin')

output_format (string, path, required)

Response format

Constraints: {'enum': ['JSON', 'XML']}

properties (string, path, required)

Comma-separated list of property names to retrieve

Examples (1)

Get properties by compound name openapi-spec
curl 'https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/caffeine/property/MolecularFormula,MolecularWeight,IUPACName/JSON'
import requests

resp = requests.get("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/caffeine/property/MolecularFormula,MolecularWeight,IUPACName/JSON")
data = resp.json()
import zingu_apis

api = zingu_apis.api("pubchem-property")
result = api.fetch("name/{compound_name}/property/{properties}/{output_format}")

for item in result:
    print(item)
const resp = await fetch("https://pubchem.ncbi.nlm.nih.gov/rest/pug/compound/name/caffeine/property/MolecularFormula,MolecularWeight,IUPACName/JSON");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:57:50.819006 200 450ms
2026-04-15 03:47:36.184838 200 457ms
2026-04-14 00:47:37.059104 200 468ms
2026-04-12 13:52:56.412500 200 459ms
2026-04-10 01:41:09.519199 200 383ms
2026-04-09 03:02:24.260893 200 586ms